Bug 497757 - Implement better support for PKCS11
Implement better support for PKCS11
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-26 18:58 EDT by Roman Kisilenko
Modified: 2012-08-16 16:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:05:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Roman Kisilenko 2009-04-26 18:58:07 EDT
Description of problem:
Current coolkey pkcs11 library implements only a few pkcs11 functions.

It would be great to be able to use improvements coolkey implemented to JavaCard applet without loosing pkcs11 support.

I think the most important missing pkcs11 function is C_GenerateKeyPair, to enable on-card key generation.

Version-Release number of selected component: trunk
Comment 1 Bob Relyea 2009-04-28 19:06:33 EDT
There are actually 2 issues here:

1) Key provisioning of CoolKey from other than a full TPS system. This issue is on the list of 'wants' with about a medium priority. Jack has done some work in this area, I think, mostly around allowing import of user Keys with C_CreateObject(). I don't know the state of this work. Right now coolkey is a read only token and will remain so until this work is completed ;(.

2) Fully implementing operations at cryptoki layer. This is going to be a low priority for us. Coolkey is primarily targeted for NSS applications. NSS's pk11wrap interface automatically detects when tokens don't support such functions a C_Unwrap and C_GenerateKeyPair and implements those with it's own software token (using temporary keys) then importing those into the actual token. This means C_CreateObject is sufficient for a token to be completely provisioned using NSS tools (including mozilla and ff browsers). Unless there are reasons for C_GenerateKeyPair to implement 1) above, it is unlikely to have a high priority, though I am perfectly willing to review and accept patches;).

Obviously 1) has to be fixed before 2 can be attempted anyway.

bob
Comment 2 Jack Magne 2009-04-28 19:34:52 EDT
The work on the 1) above has only progressed to the early stages.
Comment 3 Bug Zapper 2009-06-09 10:37:32 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:57:21 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:13:50 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Bob Relyea 2010-06-28 12:09:17 EDT
This is still and ongoing issue.
Comment 7 Bug Zapper 2010-07-30 06:39:05 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2012-08-16 16:05:21 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.